- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSiLReader Class Reference

Used to read an OSiL string. More...

`#include <OSiLReader.h>`

Collaboration diagram for OSiLReader:

[legend]
List of all members.

## Public Member Functions
| OSiLReader ()
| Default constructor.
| ~OSiLReader ()
| Class destructor.
OSInstance * | readOSiL (const std::string &osil) throw (ErrorClass)
| parse the OSiL model instance.
## Private Attributes
OSInstance * | m_osinstance
| m_osinstance is the OSInstance object returned by the OSiLReader
OSiLParserData * | m_parserData
| m_parserData is the object used in the parser to temporarily store data

## Detailed Description

Used to read an OSiL string.

Remarks:

This class wraps around the OSiL parser and sends the parser an OSiL string and is returned an OSInstance object.

Definition at line 38 of file OSiLReader.h.

## Constructor & Destructor Documentation

OSiLReader::OSiLReader | ( |  | ) |

Default constructor.

Definition at line 29 of file OSiLReader.cpp.

References m_osinstance, m_parserData, osillex_init(), osilset_extra(), and OSiLParserData::scanner.

OSiLReader::~OSiLReader | ( |  | ) |

Class destructor.

Definition at line 37 of file OSiLReader.cpp.

References m_osinstance, m_parserData, osillex_destroy(), and OSiLParserData::scanner.

## Member Function Documentation

OSInstance * OSiLReader::readOSiL | ( | const std::string & | osil | ) | throw (ErrorClass)

parse the OSiL model instance.

Parameters:

  | osil | a string that holds the problem instance.

Returns:
  the instance as an OSInstance object.

Definition at line 46 of file OSiLReader.cpp.

References ErrorClass::errormsg, and yygetOSInstance().

Referenced by LindoSolver::buildSolverInstance(), IpoptSolver::buildSolverInstance(), CouenneSolver::buildSolverInstance(), CoinSolver::buildSolverInstance(), BonminSolver::buildSolverInstance(), OS_DipInterface::generateInitialMaster(), main(), OS_tm::readInput(), OS_DipInterface::readOSiL(), solve(), and KnitroSolver::solve().

## Member Data Documentation

OSInstance* OSiLReader::m_osinstance`[private]`

m_osinstance is the OSInstance object returned by the OSiLReader

Definition at line 66 of file OSiLReader.h.

Referenced by OSiLReader(), and ~OSiLReader().

OSiLParserData* OSiLReader::m_parserData`[private]`

m_parserData is the object used in the parser to temporarily store data

Definition at line 70 of file OSiLReader.h.

Referenced by OSiLReader(), and ~OSiLReader().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSiLReader.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSiLReader.cpp